Mailinglist Archive: opensuse-updates (48 mails)

< Previous Next >
openSUSE-SU-2015:1499-1: moderate: Security update for gnutls
openSUSE Security Update: Security update for gnutls
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:1499-1
Rating: moderate
References: #941794
Cross-References: CVE-2015-6251
Affected Products:
openSUSE 13.2
openSUSE 13.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

Gnutls was updated to fix one security issue.

The following vulnerability was fixed:

* CVE-2015-6251: Decoding specific certificates with very long
DistinguishedName (DN) entries could have caused a double free, which
may have resulted in a Denial of Service (GNUTLS-SA-2015-3)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-567=1

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-567=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

gnutls-3.2.18-14.1
gnutls-debuginfo-3.2.18-14.1
gnutls-debugsource-3.2.18-14.1
libgnutls-devel-3.2.18-14.1
libgnutls-openssl-devel-3.2.18-14.1
libgnutls-openssl27-3.2.18-14.1
libgnutls-openssl27-debuginfo-3.2.18-14.1
libgnutls28-3.2.18-14.1
libgnutls28-debuginfo-3.2.18-14.1
libgnutlsxx-devel-3.2.18-14.1
libgnutlsxx28-3.2.18-14.1
libgnutlsxx28-debuginfo-3.2.18-14.1

- openSUSE 13.2 (x86_64):

libgnutls-devel-32bit-3.2.18-14.1
libgnutls28-32bit-3.2.18-14.1
libgnutls28-debuginfo-32bit-3.2.18-14.1

- openSUSE 13.1 (i586 x86_64):

gnutls-3.2.4-2.38.1
gnutls-debuginfo-3.2.4-2.38.1
gnutls-debugsource-3.2.4-2.38.1
libgnutls-devel-3.2.4-2.38.1
libgnutls-openssl-devel-3.2.4-2.38.1
libgnutls-openssl27-3.2.4-2.38.1
libgnutls-openssl27-debuginfo-3.2.4-2.38.1
libgnutls28-3.2.4-2.38.1
libgnutls28-debuginfo-3.2.4-2.38.1
libgnutlsxx-devel-3.2.4-2.38.1
libgnutlsxx28-3.2.4-2.38.1
libgnutlsxx28-debuginfo-3.2.4-2.38.1

- openSUSE 13.1 (x86_64):

libgnutls-devel-32bit-3.2.4-2.38.1
libgnutls28-32bit-3.2.4-2.38.1
libgnutls28-debuginfo-32bit-3.2.4-2.38.1


References:

https://www.suse.com/security/cve/CVE-2015-6251.html
https://bugzilla.suse.com/941794


< Previous Next >
This Thread
  • No further messages